function [x t] = inv_fourier_xform(fx,ft,idx)

f0 = ft(2)-ft(1);
N = length(ft);
dt = 1/(N*f0);
t = (0:N-1)*dt;
x = ifft(fftshift(fx));
xim = max(abs(imag(x)));
x = real(x);
if (nargout<1)
    fprintf('maximum imaginary part %g\n',xim);
    if (nargin<3)
        dt = t(2)-t(1);
        idx = 1:2:(50e-3/dt);
    end
    plot(t(idx)*1e3,x(idx));
    xlabel('time (msec)');
    ylabel('magnitude');
end